Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 119283

Summary: Failed emerge of k9copy 1.0.2-r1
Product: Gentoo Linux Reporter: Pacho Ramos <pacho>
Component: Current packagesAssignee: optical media herd <media-optical>
Status: VERIFIED INVALID    
Severity: normal    
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---

Description Pacho Ramos gentoo-dev 2006-01-17 06:10:40 UTC
k9copy-1.0.2-switch.patch cannot be applied and then, emerge k9copy fails after uncompress the source tarball, when patch should be applied.

I am running gentoo 2005.0 on an AMD64 machine

Thanks a lot
Comment 1 Alexandre Buisse (RETIRED) gentoo-dev 2006-01-17 06:16:14 UTC
When a patch fails, it tells you where its log file is (should be something like /var/tmp/portage/k9copy-1.0.2/temp/k9copy-1.0.2-switch.patch.output), please find it and post it here.
Comment 2 Pacho Ramos gentoo-dev 2006-01-17 10:32:48 UTC
Thanks :)

I will post all possible information ;)

At first I try to emerge it:

(18:36:24) root@localhost ~ # emerge -av k9copy

These are the packages that I would merge, in order:

Calculating dependencies ...done!
[ebuild     U ] app-cdr/k9copy-1.0.2-r1 [1.0.2] +arts -debug -kdeenablefinal
-xinerama 0 kB [1]

Total size of downloads: 0 kB
Portage overlays:
 [1] /usr/local/portage

Do you want me to merge these packages? [Yes/No] y
>>> emerge (1 of 1) app-cdr/k9copy-1.0.2-r1 to /
>>> md5 files   ;-) k9copy-1.0.2.ebuild
>>> md5 files   ;-) k9copy-1.0.2-r1.ebuild
>>> md5 files   ;-) files/digest-k9copy-1.0.2-r1
>>> md5 files   ;-) files/k9copy-1.0.2-switch.patch
>>> md5 files   ;-) files/digest-k9copy-1.0.2
>>> md5 src_uri ;-) k9copy-1.0.2.tar.gz
>>> Unpacking source...
>>> Unpacking k9copy-1.0.2.tar.gz to /var/tmp/portage/k9copy-1.0.2-r1/work
 * Applying k9copy-1.0.2-switch.patch ...

 * Failed Patch: k9copy-1.0.2-switch.patch !
 *  ( /usr/local/portage/app-cdr/k9copy/files/k9copy-1.0.2-switch.patch )
 *
 * Include in your bugreport the contents of:
 *
 *
/var/tmp/portage/k9copy-1.0.2-r1/temp/k9copy-1.0.2-switch.patch-20438.out


!!! ERROR: app-cdr/k9copy-1.0.2-r1 failed.
!!! Function epatch, Line 359, Exitcode 0
!!! Failed Patch: k9copy-1.0.2-switch.patch!
!!! If you need support, post the topmost build error, NOT this status
message.
___________________

This is the patch:

------------k9copy-1.0.2-switch.patch----------
--- k9copy-1.0.2-old/src/k9main.cpp	2005-12-18 08:11:19.000000000 +0000
+++ k9copy-1.0.2/src/k9main.cpp	2006-01-02 19:05:51.000000000 +0000
@@ -752,6 +752,9 @@
 
 
 void k9Main::fillLvLanguages() {
+    k9DVDSubtitle *l_sub;
+    k9DVDAudioStream *l_auds;
+
     lvLanguages->clear();
     langAudItems.clear();
     langSubItems.clear();
@@ -761,12 +764,12 @@
             k9DVDListItem *litem=(k9DVDListItem*)items.at(i);
             switch (litem->streamType) {
             case SUB:
-                k9DVDSubtitle *l_sub=litem->subtitle;
+                l_sub=litem->subtitle;
                 if (slSubLang.contains(l_sub->getlanguage())==0)
                     slSubLang.append(l_sub->getlanguage());
                 break;
             case AUD:
-                k9DVDAudioStream *l_auds=litem->audioStream;
+                l_auds=litem->audioStream;
                 if (slAudLang.contains(l_auds->getlanguage())==0)
                     slAudLang.append(l_auds->getlanguage());
                 break;

__________________________

This is the log from /var/tmp/portage/k9copy-1.0.2-r1/temp/k9copy-1.0.2-switch.patch-20438.out
:

***** k9copy-1.0.2-switch.patch *****

=====================================

PATCH COMMAND:  patch -p0 -g0 --no-backup-if-mismatch < /usr/local/portage/app-cdr/k9copy/files/k9copy-1.0.2-switch.patch

=====================================
can't find file to patch at input line 3
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|--- k9copy-1.0.2-old/src/k9main.cpp	2005-12-18 08:11:19.000000000 +0000
|+++ k9copy-1.0.2/src/k9main.cpp	2006-01-02 19:05:51.000000000 +0000
--------------------------
No file to patch.  Skipping patch.
2 out of 2 hunks ignored
=====================================

PATCH COMMAND:  patch -p1 -g0 --no-backup-if-mismatch < /usr/local/portage/app-cdr/k9copy/files/k9copy-1.0.2-switch.patch

=====================================
patching file src/k9main.cpp
Hunk #2 FAILED at 764.
1 out of 2 hunks FAILED -- saving rejects to file src/k9main.cpp.rej
=====================================

PATCH COMMAND:  patch -p2 -g0 --no-backup-if-mismatch < /usr/local/portage/app-cdr/k9copy/files/k9copy-1.0.2-switch.patch

=====================================
can't find file to patch at input line 3
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|--- k9copy-1.0.2-old/src/k9main.cpp	2005-12-18 08:11:19.000000000 +0000
|+++ k9copy-1.0.2/src/k9main.cpp	2006-01-02 19:05:51.000000000 +0000
--------------------------
No file to patch.  Skipping patch.
2 out of 2 hunks ignored
=====================================

PATCH COMMAND:  patch -p3 -g0 --no-backup-if-mismatch < /usr/local/portage/app-cdr/k9copy/files/k9copy-1.0.2-switch.patch

=====================================
missing header for unified diff at line 3 of patch
can't find file to patch at input line 3
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|--- k9copy-1.0.2-old/src/k9main.cpp	2005-12-18 08:11:19.000000000 +0000
|+++ k9copy-1.0.2/src/k9main.cpp	2006-01-02 19:05:51.000000000 +0000
--------------------------
No file to patch.  Skipping patch.
2 out of 2 hunks ignored
=====================================

PATCH COMMAND:  patch -p4 -g0 --no-backup-if-mismatch < /usr/local/portage/app-cdr/k9copy/files/k9copy-1.0.2-switch.patch

=====================================
missing header for unified diff at line 3 of patch
can't find file to patch at input line 3
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|--- k9copy-1.0.2-old/src/k9main.cpp	2005-12-18 08:11:19.000000000 +0000
|+++ k9copy-1.0.2/src/k9main.cpp	2006-01-02 19:05:51.000000000 +0000
--------------------------
No file to patch.  Skipping patch.
2 out of 2 hunks ignored


___________

This is my emerge info:

emerge --info
Gentoo Base System version 1.6.13
Portage 2.0.51.22-r2 (default-linux/amd64/2005.0, gcc-3.4.3, glibc-2.3.5-r0, 2.6.12-gentoo-r6-4 x86_64)
=================================================================
System uname: 2.6.12-gentoo-r6-4 x86_64 AMD Athlon(tm) 64 Processor 3200+
ccache version 2.3 [enabled]
dev-lang/python:     2.3.5, 2.4.1-r1
sys-apps/sandbox:    1.2.11
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.5
sys-devel/binutils:  2.15.92.0.2-r10
sys-devel/libtool:   1.5.18-r1
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=k8 -O2 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/lib64/mozilla/defaults/pref /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/ /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-march=k8 -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig ccache distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://mir.zyrianes.net/gentoo/"
LANG="es_ES@euro"
LC_ALL="es_ES@euro"
LINGUAS="es"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X aalib acpi adns alsa amd64 arts audiofile avi bash-completion bindist bitmap-fonts bonobo bzlib caps cdb cdr cross crypt cscope cups curl curlwrappers dga dio dvd dvdr eds encode erandom escreen esd evo exif fam fbcon flac foomaticdb fortran ftp gb gd gdbm ggi gif gimpprint glx gnome gphoto2 gpm gstreamer gtk gtk2 gtkhtml guile iconv imagemagick imlib jack java joystick jpeg kde lcms libwww lirc lzw lzw-tiff mad mcal mikmod mime mng motif mozilla mp3 mpeg mpi mysql nas ncurses nethack nls nocardbus nptl ogg oggvorbis openal opengl oss pam pcre pda pdflib perl pic plotutils png posix ppds python qt quicktime readline ruby scanner sdl slang sockets speex spell ssl sysvipc tcltk tcpd tetex theora tiff truetype truetype-fonts type1-fonts unicode usb userlocales videos vorbis wmf xine xml xml2 xmms xpm xv xvid zlib linguas_es userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, LDFLAGS


Thanks a lot for try to fix it :)
Comment 3 Luis Medinas (RETIRED) gentoo-dev 2006-01-17 11:23:09 UTC
please emerge sync again this must be a problem there because it works fine here.
Comment 4 Pacho Ramos gentoo-dev 2006-01-17 11:30:58 UTC
I cannot make a sync because my gentoo machine is not connected to internet, so, I will download the latest snapshot (http://mirror.ovh.net/gentoo-distfiles/snapshots/portage-latest.tar.bz2) for try to use it.

Thanks
Comment 5 Luis Medinas (RETIRED) gentoo-dev 2006-01-17 17:16:09 UTC
it probably is a problem with the snapshot. Try using a newer one.
Comment 6 Pacho Ramos gentoo-dev 2006-01-18 05:30:00 UTC
I have tried to use the new snapshot and it also fails :( But k9copy tarball md5 check also fails, then, I will try to "re-download" the tarball (this tarball worked fine for 1.0.2 emerge).

Thanks
Comment 7 Pacho Ramos gentoo-dev 2006-01-19 05:28:18 UTC
I have downloaded another tarball and emerge has worked fine, so, there isn't any bug :)

Thanks